Subject: Re: bug#54491: 27.2; left-margin variable breaks autoload generation

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 21 Mar 2022 19:17:32 +0100

Eli Zaretskii <[email-masked]> writes:

> Looks like adaptive-fill?  lisp-mode defines various indent-* and
> fill-* functions, so perhaps the extra open parenthesis is the
> "prefix" it decides to use when filling/indenting?

Sounds likely.  I've now fixed this in the most straight-forward way I
could think of in Emacs 29 (i.e., by just binding left-margin to zero
before doing any of this stuff), and that seems to fix the problem.

Here's the reproducer I used:

(let ((left-margin 8)) (make-directory-autoloads "~/src/emacs/trunk/lisp/" "/tmp/out.el"))

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no